std::deque::front(3)

NAME
std::deque::front - std::deque::front

Synopsis
   reference front();
   const_reference front() const;
   Returns a reference to the first element in the container.
   Calling front on an empty container is undefined.

Parameters
   (none)

Return value
   reference to the first element

Complexity
   Constant

Notes
   For a container c, the expression c.front() is equivalent to *c.begin().

Example
   The following code uses front to display the first element of a std::deque<char>: // Run this code
 #include <deque>
 #include <iostream>
 int main()
 {
     std::deque<char> letters {'o', 'm', 'g', 'w', 't', 'f'};
     if (!letters.empty()) {
         std::cout << "The first character is '" << letters.front() << "'.\n";
     }
 }

Output:
 The first character is 'o'.

See also
   back access the last element
        (public member function)